Subject: Re: Gallery Submission #2 - Tamiya Bf109E-3 1/72
From: "Steve Bamford" <[email-masked]>
To: "Youngerman" <[email-masked]>
Date: Wed, 3 Apr 2002 17:40:42 -0800

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com

Live like there is no tomorrow;
Love like you have never been hurt; and
Dance like no one is watching!

  ----- Original Message ----- 
  From: Youngerman 
  To: Steve Bamford 
  Sent: Friday, February 15, 2002 5:25 PM
  Subject: Gallery Submission #2 - Tamiya Bf109E-3 1/72

   
  Thanks for the quick reply Steve. I'll go ahead and submit this for your gallery as well!
   
    This is Tamiya's superb little Bf109E-3 in 1/72 scale built from the box. (I did add some photo-etched seat belts). For years Hasegawa's 109 kits were the best in this scale...not anymore. Tamiya have outdone themselves on this little gem. The level of detail is great and the fit of the parts near perfect. My only real criticism is that the decals are just a little thick. I used them anyway and they did go on very nicely. I chose to model Adolf Galland's 109E-3 in an early 70/02/65 scheme. I could not find any photos to show whether or not his aircraft had the head armor added by August of 1940, so I left it off. Some E-3s had this added in the field before being replaced by the improved 109E-4. 
   
  Joe Youngerman
  Newnan GA